Bug 1311076 (CVE-2015-5351) - CVE-2015-5351 tomcat: CSRF token leak
Summary: CVE-2015-5351 tomcat: CSRF token leak
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-5351
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160222,repor...
Depends On: 1311095 1311102 1316027 1316028 1321767 1321768 1321769 1347132 1347133 1352009 1381944
Blocks: 1311109 1318206 1382592
TreeView+ depends on / blocked
 
Reported: 2016-02-23 10:51 UTC by Andrej Nemec
Modified: 2019-06-11 11:13 UTC (History)
13 users (show)

Fixed In Version: tomcat 8.0.32, tomcat 7.0.68
Doc Type: Bug Fix
Doc Text:
A CSRF flaw was found in Tomcat's the index pages for the Manager and Host Manager applications. These applications included a valid CSRF token when issuing a redirect as a result of an unauthenticated request to the root of the web application. This token could then be used by an attacker to perform a CSRF attack.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:48:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1087 normal SHIPPED_LIVE Moderate: Red Hat JBoss Web Server 3.0.3 update 2016-05-17 20:31:38 UTC
Red Hat Product Errata RHSA-2016:1088 normal SHIPPED_LIVE Moderate: Red Hat JBoss Web Server 3.0.3 update 2016-05-17 20:30:35 UTC
Red Hat Product Errata RHSA-2016:1089 normal SHIPPED_LIVE Moderate: Red Hat JBoss Web Server 3.0.3 security update 2016-05-17 20:12:21 UTC
Red Hat Product Errata RHSA-2016:2599 normal SHIPPED_LIVE Moderate: tomcat security, bug fix, and enhancement update 2016-11-03 12:12:12 UTC
Red Hat Product Errata RHSA-2016:2807 normal SHIPPED_LIVE Important: Red Hat JBoss Web Server 2.1.2 security update for Tomcat 7 2016-11-18 02:53:13 UTC
Red Hat Product Errata RHSA-2016:2808 normal SHIPPED_LIVE Important: Red Hat JBoss Web Server 2.1.2 security update for Tomcat 7 2016-11-18 03:03:17 UTC

Description Andrej Nemec 2016-02-23 10:51:25 UTC
The index page of the Manager and Host Manager applications included a
valid CSRF token when issuing a redirect as a result of an
unauthenticated request to the root of the web application. This token
could then be used by an attacker to construct a CSRF attack.

External references:

http://seclists.org/bugtraq/2016/Feb/148

Comment 5 errata-xmlrpc 2016-05-17 16:15:14 UTC
This issue has been addressed in the following products:



Via RHSA-2016:1089 https://rhn.redhat.com/errata/RHSA-2016-1089.html

Comment 6 errata-xmlrpc 2016-05-17 16:32:03 UTC
This issue has been addressed in the following products:

  JWS 3.0 for RHEL 7

Via RHSA-2016:1088 https://access.redhat.com/errata/RHSA-2016:1088

Comment 7 errata-xmlrpc 2016-05-17 16:33:17 UTC
This issue has been addressed in the following products:

  JWS 3.0 for RHEL 6

Via RHSA-2016:1087 https://access.redhat.com/errata/RHSA-2016:1087

Comment 10 Fedora Update System 2016-09-01 16:19:42 UTC
tomcat-7.0.70-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-09-02 09:21:31 UTC
tomcat-7.0.70-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 errata-xmlrpc 2016-11-03 21:10:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2599 https://rhn.redhat.com/errata/RHSA-2016-2599.html

Comment 16 errata-xmlrpc 2016-11-17 20:33:43 UTC
This issue has been addressed in the following products:



Via RHSA-2016:2808 https://rhn.redhat.com/errata/RHSA-2016-2808.html

Comment 17 errata-xmlrpc 2016-11-17 20:37:30 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Web Server 2 for RHEL 6
  Red Hat JBoss Enterprise Web Server 2 for RHEL 7

Via RHSA-2016:2807 https://rhn.redhat.com/errata/RHSA-2016-2807.html


Note You need to log in before you can comment on or make changes to this bug.